LINUX.ORG.RU
решено ФорумGames

Не устанавливается steam. libGl.so.1 | steamui.so

 , , ,


0

1
you are missing the following 32-bit libraries and steam may not run libGl.so.1
fatal error failed to load steamui.so
$uname -a
Linux PC 4.17.0-0.bpo.3-amd64 #1 SMP Debian 4.17.17-1~bpo9+1 (2018-08-27) x86_64 GNU/Linux
$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 9.5 (stretch)
Release:        9.5
Codename:       stretch

При установке steam было вот это:

$ sudo apt-get --simulate install steam
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 steam:i386 : Зависит: libgl1-mesa-dri:i386 но он не будет установлен
              Зависит: libgl1-mesa-glx:i386 но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
Эти пакеты я установил.

Некоторые пакеты невозможно установить. Возможно, вы просите невозможного, или же используете нестабильную версию дистрибутива, где запрошенные вами пакеты ещё не созданы или были удалены из Incoming.

мне нравится это пояснение для дебилов, более чем вероятно не имеющее ничего общего с происходящим

anonymous ()

У меня получилось установить steam. Нужно было установить 32 битную библиотеку в моём случае для backports: libgl1-nvidia-glx. Но есть некоторые проблемы:

$ sudo apt-get install -t stretch-backports libgl1-nvidia-glx
...
Удаляется nvidia-vulkan-icd:amd64 (390.77-1~bpo9+1) …
Удаляется nvidia-vulkan-common (390.77-1~bpo9+1) …
dpkg: libgl1-nvidia-glvnd-glx:amd64: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 nvidia-driver-libs:amd64 зависит от libgl1-nvidia-glvnd-glx (= 390.77-1~bpo9+1).

Удаляется libgl1-nvidia-glvnd-glx:amd64 (390.77-1~bpo9+1) …
dpkg: nvidia-driver-libs:amd64: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 nvidia-driver зависит от nvidia-driver-libs (= 390.77-1~bpo9+1) | nvidia-driver-libs-nonglvnd (= 390.77-1~bpo9+1), однако:
  Пакет nvidia-driver-libs:amd64 будет удалён.
  Пакет nvidia-driver-libs-nonglvnd не установлен.

Удаляется nvidia-driver-libs:amd64 (390.77-1~bpo9+1) …

Обрабатываются триггеры для nvidia-alternative (390.77-1~bpo9+1) …
update-alternatives: обновляется альтернатива /usr/lib/nvidia/current, так как группа ссылок nvidia изменилась подчинёнными ссылками

Обрабатываются триггеры для glx-alternative-nvidia (0.8.7~bpo9+1) …
update-alternatives: предупреждение: принудительная переустановка альтернативы /usr/lib/nvidia, так как группа ссылок glx сломана
...

just_a_brake ()

выпей мышьяку.

mos ★★☆☆☆ ()

Для стима не линукс, а специальный дистрибутив бубунты нужен. Если клиент стима всё ещё работает на случайном дистре и даже качает игры, то это недоработка а не достижение. Там даже через вэбинтерфейс просто скачать бесплатную игру, за неработу которой никаких претензий предъявлять некому, просто так не дают - обязательно надо натыкать кнопки в клиенте, а тот после обновлений работать не обязан.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Ну проблемы негров... В генте то всё работает.

просто скачать

откуда? браузер не имеет доступа к сервису дистрибуции (это там гд торренты и тысячи серверов по всему миру)

anonymous ()
Ответ на: комментарий от anonymous

откуда? браузер не имеет доступа к сервису дистрибуции (это там гд торренты и тысячи серверов по всему миру)

А почему с рутрекера торренты браузером скачать можно?

Napilnik ★★★★★ ()

У меня в Stretch тоже ругалось. Обновился до тестинга и всё установилось.(разумеется, с добавлением i386)

S_Paul ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.